# Visibility - Cesium Documentation

# Visibility

#### Visibility()
Core/Visibility.js 16

  This enumerated type is used in determining to what extent an object, the occludee, is visible during horizon culling. An occluder may fully block an occludee, in which case it has no visibility, may partially block an occludee from view, or may not block it at all, leading to full visibility.

### Members

#### staticconstantCesium.Visibility.FULL : Number
Core/Visibility.js 39

  Represents that an object is visible in its entirety.

#### staticconstantCesium.Visibility.NONE : Number
Core/Visibility.js 23

  Represents that no part of an object is visible.

#### staticconstantCesium.Visibility.PARTIAL : Number
Core/Visibility.js 31

  Represents that part, but not all, of an object is visible